Package net.shibboleth.idp.authn.context.impl

# Class IdPAttributePrincipalValuesFunction

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.idp.authn.context.impl.IdPAttributePrincipalValuesFunction

All Implemented Interfaces:
  `Function<Principal,List<IdPAttributeValue>>`, `Component`, `DestructableComponent`, `InitializableComponent`

public class IdPAttributePrincipalValuesFunction extends AbstractInitializableComponent implements Function<Principal,List<IdPAttributeValue>>
Engine to mine values from `IdPAttributePrincipal`s.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`attributeName`
The Attribute Name to look for.

## Constructor Summary

Constructors
Constructor
Description
`IdPAttributePrincipalValuesFunction()`

## Method Summary

Modifier and Type
Method
Description
`List<IdPAttributeValue>`
`apply(Principal principal)`
`protected void`
`doInitialize()`
`void`
`setAttributeName(String attrName)`
Set the attribute name.

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### attributeName

@NonnullAfterInit @NotEmpty private String attributeName
The Attribute Name to look for.

## Constructor Details

### IdPAttributePrincipalValuesFunction

public IdPAttributePrincipalValuesFunction()

## Method Details

### setAttributeName

public void setAttributeName(@Nonnull @NotEmpty String attrName)
Set the attribute name.

Parameters:
  `attrName` - the attribute name to read values from

### doInitialize

protected void doInitialize() throws ComponentInitializationException

Overrides:
  `doInitialize` in class `AbstractInitializableComponent`
Throws:
  `ComponentInitializationException`

### apply

@Nullable @Unmodifiable @NotLive public List<IdPAttributeValue> apply(@Nullable Principal principal)

Specified by:
  `apply` in interface `Function<Principal,List<IdPAttributeValue>>`